Subject: bug#2147 closed by Dan Nicolaescu <[email-masked]> (Re: bug#2147: Default font in Emacs)

From: [email-masked] (Emacs bug Tracking System)
Date: Mon, 02 Feb 2009 06:05:07 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#2147: Default font in Emacs

It has been closed by Dan Nicolaescu <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Dan Nicolaescu <[email-masked]> by
replying to this email.

-- 
2147: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2147
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2147: Default font in Emacs
From: Dan Nicolaescu <[email-masked]>
To: Herbert Euler <[email-masked]>
Cc: [email-masked]
Date: Sun, 1 Feb 2009 21:57:19 -0800 (PST)

Herbert Euler <[email-masked]> writes:

  > Package: Emacs
  > Version: 23.0.90.1
  >  
  > Because I prefer the FreeMono font to the default font provided, I
  > tweak it in my ~/.emacs like this:
  >  
  >   (let ((font (cond ((eq window-system 'w32)
  >                       "-outline-courier new-normal-r-normal-normal-16-120-96-96-c-*-fontset-auto2"
  >                      )
  >                      ((eq window-system 'x)
  >                       "FreeMono-13"
  >                      ))))
  >     (set-default-font font)
  >     (add-to-list 'default-frame-alist `(font . ,font)))
  >  
  > When I start emacs as a daemon:
  >  
  >   $ emacs --daemon
  >  
  > The cons cell added to `default-frame-alist' seems to be '(font
  > . nil). 

The bug is in your .emacs

C-h v window-system RET

Documentation:
Name of window system through which the selected frame is displayed.
The value is a symbol--for instance, `x' for X windows.
The value is nil if the selected frame is on a text-only-terminal.

When "emacs --daemon" starts there's no X frame.

Subject: Default font in Emacs
From: Herbert Euler <[email-masked]>
To: <[email-masked]>
Date: Mon, 2 Feb 2009 11:06:35 +0800

Package: Emacs
Version: 23.0.90.1
 
Because I prefer the FreeMono font to the default font provided, I
tweak it in my ~/.emacs like this:
 
  (let ((font (cond ((eq window-system 'w32)
                      "-outline-courier new-normal-r-normal-normal-16-120-96-96-c-*-fontset-auto2"
                     )
                     ((eq window-system 'x)
                      "FreeMono-13"
                     ))))
    (set-default-font font)
    (add-to-list 'default-frame-alist `(font . ,font)))
 
When I start emacs as a daemon:
 
  $ emacs --daemon
 
The cons cell added to `default-frame-alist' seems to be '(font
. nil). This causes a segfault when running `emacsclient -c':
 
  Program received signal SIGSEGV, Segmentation fault.
  [Switching to Thread 0xb700f700 (LWP 28215)]
  0x0806f438 in estimate_mode_line_height (f=0xa832b38, face_id=MODE_LINE_INACTIVE_FACE_ID) at xdisp.c:1646
  1646 int height = FONT_HEIGHT (FRAME_FONT (f));
  (gdb) p FRAME_FONT (f)
  $1 = (struct font *) 0x0
_________________________________________________________________
Drag n’ drop—Get easy photo sharing with Windows Live™ Photos.

http://www.microsoft.com/windows/windowslive/photos.aspx